## node-socket.io-parser 2.3.1

=== Makefile ===

REPORTER = dot

test:
	@if [ "x$(BROWSER_NAME)" = "x" ]; then make test-node; else make test-zuul; fi

test-node:
	@./node_modules/.bin/mocha \
		--reporter $(REPORTER) \
		--bail \
		test/index.js

test-zuul:
	@if [ "x$(BROWSER_PLATFORM)" = "x" ]; then \
		./node_modules/zuul/bin/zuul \
		--browser-name $(BROWSER_NAME) \
		--browser-version $(BROWSER_VERSION) \
		test/index.js; \
		else \
		./node_modules/zuul/bin/zuul \
		--browser-name $(BROWSER_NAME) \
		--browser-version $(BROWSER_VERSION) \
		--browser-platform "$(BROWSER_PLATFORM)" \
		test/index.js; \
	fi

.PHONY: test

=== debian/changelog ===
node-socket.io-parser (2.3.1-1) unstable; urgency=low

  * Initial release (Closes: #781417)

 -- Paolo Greppi <paolo.greppi@libpf.com>  Thu, 29 Dec 2016 06:40:02 +0000

=== debian/control ===
Source: node-socket.io-parser
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , node-isarray (>= 0.0.1)
 , node-component-emitter (>= 1.1.2)
 , node-debug (>= 2.2.0)
 , mocha
 , node-expect.js
 , nodejs
Standards-Version: 3.9.8
Homepage: https://github.com/socketio/socket.io-parser#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-socket.io-parser.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-socket.io-parser.git

Package: node-socket.io-parser
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-isarray (>= 0.0.1)
 , node-component-emitter (>= 1.1.2)
 , node-debug (>= 2.2.0)
Description: socket.io protocol parser
 Node.js module providing a socket.io encoder and decoder written in
 JavaScript complying with version 3 of socket.io-protocol.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	# Skip upstream Makefile

override_dh_auto_test:
	mocha -R spec test/index.js

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/tests/control ===
Tests: require
Depends: node-socket.io-parser

Test-Command: mocha -R spec test/index.js
Depends: @, @builddeps@

## node-socket.io-parser 3.3.0

=== debian/changelog ===
node-socket.io-parser (3.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.3.0
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Update d/control
  * Update d/copyright
  * Disable patches as it were no longer applicable
  * Add minimal test
  * Add upstream test in autopkgtest
  * Add d/upstream/metadata

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Wed, 23 Jan 2019 03:53:01 +0530

=== debian/control ===
Source: node-socket.io-parser
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
Build-Depends:
 debhelper (>= 11~),
 dh-buildinfo,
 node-isarray (>= 0.0.1),
 node-component-emitter (>= 1.1.2),
 node-debug (>= 2.2.0),
 mocha,
 node-expect.js,
 nodejs
Standards-Version: 4.3.0
Homepage: https://github.com/socketio/socket.io-parser
Vcs-Git: https://salsa.debian.org/js-team/node-socket.io-parser.git
Vcs-Browser: https://salsa.debian.org/js-team/node-socket.io-parser

Package: node-socket.io-parser
Architecture: all
Depends:
 ${misc:Depends},
 nodejs,
 node-isarray (>= 0.0.1),
 node-component-emitter (>= 1.1.2),
 node-debug (>= 2.2.0)
Description: socket.io protocol parser
 Node.js module providing a socket.io encoder and decoder written in
 JavaScript complying with version 3 of socket.io-protocol.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mocha -R spec test/index.js
endif

=== debian/tests/control ===
Tests: require
Depends: node-socket.io-parser

Tests: upstream
Depends: @, @builddeps@

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-socket.io-parser-$1.tar.gz/ \
 https://github.com/socketio/socket.io-parser/tags .*/archive/v?([\d\.]+).tar.gz

## node-socket.io-parser 3.4.0

=== Makefile ===

help: ## print this message
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

test: ## run tests either in the browser or in Node.js, based on the `BROWSERS` variable
	@if [ "x$(BROWSERS)" = "x" ]; then make test-node; else make test-zuul; fi

test-node: ## run tests in Node.js
	@./node_modules/.bin/mocha --reporter dot --bail test/index.js

test-zuul: ## run tests in the browser
	@./node_modules/zuul/bin/zuul test/index.js

.PHONY: help test test-node test-zuul

=== debian/changelog ===
node-socket.io-parser (3.4.0-1) unstable; urgency=medium

  * Team upload

  [ Utkarsh Gupta ]
  * Update upstream test in autopkgtest

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Switch test and install to pkg-js-tools
  * Drop unneeded version constraints from (build) dependencies
  * New upstream version 3.4.0
  * Remove debian/TODO

 -- Xavier Guimard <yadd@debian.org>  Mon, 02 Dec 2019 21:27:40 +0100

=== debian/control ===
Source: node-socket.io-parser
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 mocha <!nocheck>,
 node-isarray <!nocheck>,
 node-component-emitter <!nocheck>,
 node-debug (>= 2.2.0) <!nocheck>,
 node-expect.js <!nocheck>,
 pkg-js-tools (>= 0.9.17~)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/js-team/node-socket.io-parser
Vcs-Git: https://salsa.debian.org/js-team/node-socket.io-parser.git
Homepage: https://github.com/socketio/socket.io-parser
Rules-Requires-Root: no

Package: node-socket.io-parser
Architecture: all
Depends:
 ${misc:Depends},
 nodejs,
 node-isarray,
 node-component-emitter,
 node-debug (>= 2.2.0)
Description: socket.io protocol parser
 Node.js module providing a socket.io encoder and decoder written in
 JavaScript complying with version 3 of socket.io-protocol.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-socket.io-parser 3.4.1

=== debian/changelog ===
node-socket.io-parser (3.4.1-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * New upstream version 3.4.1

 -- Xavier Guimard <yadd@debian.org>  Fri, 29 May 2020 21:47:27 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  node-debug (>= 2.2.0) <!nocheck>,
  node-expect.js <!nocheck>,
  pkg-js-tools (>= 0.9.17~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-socket.io-parser
 Vcs-Git: https://salsa.debian.org/js-team/node-socket.io-parser.git
 Homepage: https://github.com/socketio/socket.io-parser

## node-socket.io-parser 4.0.2

=== debian/changelog ===
node-socket.io-parser (4.0.2-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Require node-component-emitter ≥ 1.3.0+~1.2.10~
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 4.0.2
  * Compile with typescript

 -- Xavier Guimard <yadd@debian.org>  Fri, 25 Dec 2020 21:00:58 +0100

=== debian/control ===
Source: node-socket.io-parser
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha <!nocheck>
 , node-component-emitter (>= 1.3.0+~1.2.10~) <!nocheck>
 , node-debug (>= 2.2.0) <!nocheck>
 , node-expect.js <!nocheck>
 , node-isarray <!nocheck>
 , node-typescript
 , node-typescript-types
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-socket.io-parser
Vcs-Git: https://salsa.debian.org/js-team/node-socket.io-parser.git
Homepage: https://github.com/socketio/socket.io-parser
Rules-Requires-Root: no

Package: node-socket.io-parser
Architecture: all
Depends: ${misc:Depends}
 , node-component-emitter (>= 1.3.0+~1.2.10~)
 , node-debug (>= 2.2.0)
 , node-isarray
Description: socket.io protocol parser
 Node.js module providing a socket.io encoder and decoder written in
 JavaScript complying with version 3 of socket.io-protocol.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-socket.io-parser-$1.tar.gz/ \
 https://github.com/socketio/socket.io-parser/tags .*/archive/v?([\d\.]+).tar.gz

## node-socket.io-parser 4.1.2+~3.0.0

=== debian/changelog ===
node-socket.io-parser (4.1.2+~3.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.1.2+~3.0.0

 -- Yadd <yadd@debian.org>  Mon, 21 Feb 2022 11:13:43 +0100

node-socket.io-parser (4.1.1+~3.0.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on node-debug.
    + node-socket.io-parser: Drop versioned constraint on node-debug in Depends.

  [ Yadd ]
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Embed @socket.io/component-emitter
  * New upstream version 4.1.1+~3.0.0
  * Add test dependency to node-should
  * Update typescript hooks

 -- Yadd <yadd@debian.org>  Tue, 16 Nov 2021 22:29:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
  , dh-sequence-nodejs
  , mocha <!nocheck>
  , node-component-emitter (>= 1.3.0+~1.2.10~) <!nocheck>
- , node-debug (>= 2.2.0) <!nocheck>
+ , node-debug <!nocheck>
  , node-expect.js <!nocheck>
  , node-isarray <!nocheck>
+ , node-should <!nocheck>
  , node-typescript
  , node-typescript-types
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-socket.io-parser
 Vcs-Git: https://salsa.debian.org/js-team/node-socket.io-parser.git
 Homepage: https://github.com/socketio/socket.io-parser
@@ -23,8 +24,9 @@
 Architecture: all
 Depends: ${misc:Depends}
  , node-component-emitter (>= 1.3.0+~1.2.10~)
- , node-debug (>= 2.2.0)
+ , node-debug
  , node-isarray
+Provides: ${nodejs:Provides}
 Description: socket.io protocol parser
  Node.js module providing a socket.io encoder and decoder written in
  JavaScript complying with version 3 of socket.io-protocol.

## node-socket.io-parser 4.2.1+~3.1.0

=== debian/changelog ===
node-socket.io-parser (4.2.1+~3.1.0-3) unstable; urgency=medium

  * Team upload
  * Fix clean (Closes: #1049186)

 -- Yadd <yadd@debian.org>  Tue, 15 Aug 2023 20:42:44 +0400

node-socket.io-parser (4.2.1+~3.1.0-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.2
  * Check the format of the event name (Closes: CVE-2023-32695)

 -- Yadd <yadd@debian.org>  Wed, 24 May 2023 07:14:44 +0400

node-socket.io-parser (4.2.1+~3.1.0-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 4.2.1+~3.1.0

 -- Yadd <yadd@debian.org>  Tue, 30 Aug 2022 06:28:16 +0200

node-socket.io-parser (4.2.0+~3.1.0-1) unstable; urgency=medium

  * Team upload
  * Drop dependency to deprecated node-typescript-types (Closes: #979804)
  * Apply multi-arch hints (foreign)
  * New upstream version 4.2.0+~3.1.0

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 13:57:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , mocha <!nocheck>
- , node-component-emitter (>= 1.3.0+~1.2.10~) <!nocheck>
- , node-debug <!nocheck>
+ , node-component-emitter (>= 1.3.0+~1.2.10~)
+ , node-debug
  , node-expect.js <!nocheck>
  , node-isarray <!nocheck>
+ , node-ms
  , node-should <!nocheck>
  , node-typescript
- , node-typescript-types
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-socket.io-parser
 Vcs-Git: https://salsa.debian.org/js-team/node-socket.io-parser.git
 Homepage: https://github.com/socketio/socket.io-parser
@@ -27,6 +27,7 @@
  , node-debug
  , node-isarray
 Provides: ${nodejs:Provides}
+Multi-Arch: foreign
 Description: socket.io protocol parser
  Node.js module providing a socket.io encoder and decoder written in
  JavaScript complying with version 3 of socket.io-protocol.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-socket.io-parser-$1/ \
 https://github.com/socketio/socket.io-parser/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts=\
component=socket-io-component-emitter,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-emitter-$1/ \
 https://github.com/socketio/emitter/tags .*/archive.*/v?([\d\.]+).tar.gz group
